DELETE /v1/organizations/{orgId}/caddie-memory
Delete ALL memories Caddie holds about the calling user in this organization. The user's enable toggle is preserved.
DELETE
/v1/organizations/{orgId}/caddie-memory
Delete ALL memories Caddie holds about the calling user in this organization. The user's enable toggle is preserved.
Path Parameters
orgId
string
required
path
Organization ID
Request Body
application/jsonResponses
200
OK
application/jsondata
object
cleared
integer
503
Service Unavailable
curl -X DELETE 'https://api.example.com/v1/organizations/string/caddie-memory' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/caddie-memory', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://api.example.com/v1/organizations/string/caddie-memory', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("DELETE", "https://api.example.com/v1/organizations/string/caddie-memory", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "data": { "cleared": 123 }}
API Playground
Try this endpoint
DELETE
/v1/organizations/{orgId}/caddie-memory
